#if !defined(__tdcdlgfr_h)              // Sentry, use file only if it's not already included.
#define __tdcdlgfr_h

//	Copyright  1995 by Dan Nelson. All Rights Reserved.

#include <owl\owlpch.h>
#include <owl\decframe.h>
#include <owl\window.h>

// This class is for using a dialog as your main window.  Make your dialog
// a "Child" style, and then create it in your application's InitMainWindow.
// Then create a TDecDialogFrame with your dialog as its client.  Insert any
// decorations you want.  The frame will automatically size to fit the dialog
// with any decorations tiled around it, and will be positioned in the center
// of the screen.

class _export TDecDialogFrame : public TDecoratedFrame
{
	public:
		TDecDialogFrame (TWindow* parent, const char far* title,
			TWindow* clientWnd, BOOL trackMenuSelection = FALSE,
			TModule* module = 0);
		virtual ~TDecDialogFrame ();

	protected:
		virtual void SetupWindow ();
};


#endif                                      // __tdcdlgfr_h sentry.

