#if !defined(__flybyapp_h)              // Sentry, use file only if it's not already included.
#define __flybyapp_h

/*  Project Flyby
    
    Copyright  1995 by Dan Nelson. All Rights Reserved.

    SUBSYSTEM:    flyby.exe Application
    FILE:         flybyapp.h
    AUTHOR:       


    OVERVIEW
    ========
    Class definition for FlybyApp (TApplication).      
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include <owl\statusba.h>
#include <owl\opensave.h>

#include "flybyapp.rh"            // Definition of all resources.


//{{TApplication = FlybyApp}}
class _export FlybyApp : public TApplication {
private:
    TWindow *Client;                                 // Client window for the frame.
    TOpenSaveDialog::TData FileData;                    // Data to control open/saveas standard dialog.

public:
    FlybyApp ();
    virtual ~FlybyApp ();

    void OpenFile (const char *fileName = 0);
//{{FlybyAppVIRTUAL_BEGIN}}
public:
    virtual void InitMainWindow();
//{{FlybyAppVIRTUAL_END}}

//{{FlybyAppRSP_TBL_BEGIN}}
protected:
    void CmFileNew ();
    void CmFileOpen ();
    void CmFileClose ();
    void CmHelpAbout ();
//{{FlybyAppRSP_TBL_END}}
  DECLARE_RESPONSE_TABLE(FlybyApp);
};    //{{FlybyApp}}


#endif                                      // __flybyapp_h sentry.
