//	Copyright  1995 by Dan Nelson. All Rights Reserved.

#ifndef __ENHDIALG_H
#define __ENHDIALG_H

#ifndef __HINTDLG_H
#include "c:\dansapps\classes\headers\hintdlg.h"
#endif

#ifndef __TCEDIALG_H
#include "c:\dansapps\classes\headers\tcedialg.h"
#endif

// This header defines the class TEnhancedDialog which simply mixes
// the functionality of TCEDialog (for TControlEnablers) and THintDialog
// (for TControlHints).  Logically, a TEnhancedDialog can have both
// TControlEnablers and TControlHints installed.

class _export TEnhancedDialog : public TCEDialog, public THintDialog
{
	public:
		TEnhancedDialog(TWindow* parent, TResId resId, TModule* module = 0) :
			TCEDialog(parent, resId, module),
			THintDialog(parent, resId, module),
			TDialog(parent, resId, module) {}
		virtual ~TEnhancedDialog() {}
};


#endif