//	Copyright  1995 by Dan Nelson. All Rights Reserved.

// This is the module for TControlHint.  To use TControlHints
// You must construct a THintDialog (or a TEnhancedDialog)
// with the dialog resource containing the controls that you
// wish to have hints for.  Then you use THintDialog's member
// function installHint(TControlHint*) to install a
// TControlHint created with new.  THintDialog deletes it
// automatically for you when it is destructed.  The
// TControlHint is constructed with the resource id of the
// control, the text of the hint, and a pointer to the
// status bar that the hint will be displayed on.  Then the
// hint is automatically put into the status bar when the
// mouse cursor is over the control.  All hints are removed
// from the status bar when the mouse is over the client area
// of the dialog.

#include "c:\dansapps\classes\headers\ctrlhint.h"

DEFINE_RESPONSE_TABLE2(TControlHint, TControl, THint)
	EV_WM_MOUSEMOVE,
END_RESPONSE_TABLE;

void TControlHint::EvMouseMove(UINT, TPoint&)
{
	putHint();
}