//	Copyright  1995 by Dan Nelson. All Rights Reserved.

// This is the module for TListBoxHint.  To use TListBoxHints
// You must construct a THintDialog (or a TEnhancedDialog)
// with the dialog resource containing the list boxes that you
// wish to have hints for.  Then you use THintDialog's member
// function installHint(TControlHint*) to install a
// TListBoxHint created with new.  THintDialog deletes it
// automatically for you when it is destructed.  The
// TListBoxHint is constructed with the resource id of the
// control, the text of the hint, and a pointer to the
// status bar that the hint will be displayed on.  Then the
// hint is automatically put into the status bar when the
// mouse cursor is over the control.  All hints are removed
// from the status bar when the mouse is over the client area
// of the dialog.  Generally you would use TControlHint, but
// in those cases where you need the functionality of TListBox
// for some other purpose (i.e. transfer), you'll want to use a
// TComboBoxHint instead of TComboBox because it inherits from TComboBox.

#include "c:\dansapps\classes\headers\lbxhint.h"

DEFINE_RESPONSE_TABLE2(TListBoxHint, TListBox, THint)
	EV_WM_MOUSEMOVE,
END_RESPONSE_TABLE;

void TListBoxHint::EvMouseMove(UINT, TPoint&)
{
	putHint();
}